Subject: bug#1092: compilation-goto-error goes to wrong location when buffer has hidden regions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jan 2016 18:54:34 +0200

> From: Andrew Hyatt <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Mon, 04 Jan 2016 23:28:33 -0500
> 
> I just was looking at selective-display, and noticed that we still have
> documentation for the setting of "t" on the variable (it doesn't seem to
> be mentioned in the emacs manual). If this really is obsolete, should
> that documentation be removed?

The ELisp manual mentions it and says it's obsolete.  I think the doc
string should say the same, so I just made that change.